Database Viewer

Cellica Software Services
http://www.cellica.com

Introduction:

Think of the case where you had created Access databases on your desktop and wanted it to be viewed on Palm to refer it while you are in plane or waiting for bus. Welcome to Database Viewer. It will help you to view the contents of your desktop databases like MS Access, FoxPro, dBase, Excel and any ODBC Compliant Database like Oracle, SQL Server on palm. It follows very simple approach. What we did is: we provided you two programs. One works on desktop computer having Microsoft windows and other on Palm device. You just have to use the desktop side program (DBViewer.exe) to convert your database tables into .pdb format which palm side program (DBViewer.prc) understands. Now Install that .pdb on palm, start DBViewer and you are on your way.

Features:

Database Viewer has features which helps you to become mobile with your database. You can view the records of your database tables in grid of rows and columns or one at time. You can even customize the display of date and time in more than 5 different formats. You can export database records to standard Palm OS MemoPad application. And, The most important improvement in Database Viewer is: Now you can apply queries on database to filter PDB contents. You can write SQL Select query to create pdb having contents of two or more tables based on relationships.
    1. Supported formats: MS Access, MS FoxPro, MS dBase, MS Excel and Any ODBC Compliant Database.
    2. Apply SQL Select queries on database to purify records.
    3. Export database records to MemoPad with or with out field names.
    4. View database tables: all at a time or record at a time.
    5. Customize the display of date and time fields.


Database Viewer has very simple approach for operating as discussed in Introduction section. This section will explain how to use desktop and palm side program of Database Viewer by taking one example. Consider you have one Access database named: NWIND.mdb having tables named Employees, Orders and Products in it. You wanted to view the contents of this database on Palm with Database Viewer. How to do it? Let's proceed....

First we will see, How to create .pdb file having records of your database on desktop?
Remember, Evaluation copy generate pdb with 5 records only.

First make sure that you had installed Database Viewer application properly. If you have not installed it yet, run the setup.exe. Setup program ask you where to install application and Hotsync name to use for registration information. After installation is over you can Hotsync your palm to bring Database Viewer on Palm. Remember to use the same Hotsync name as you provided while installation.

Open Desktop Application

Run DBViewer.exe program from the directory where you installed Database Viewer. You will see the following screen.

Database Selection

In Connection to Database section, Click on Browse button to select file of type: Access, FoxPro, dBase or Excel or click on popup provided to select database via Database Source (DSN). You will see list of available Database Source Name. You can manage DSN via ODBC Data Source Manager in Control Panel.
For now, click on Browse button. You will see screen as follows.

Select database of your choice, say NWIND.mdb, and click Open. Database Viewer will display tables in NWIND.mdb as follows:

Note: When you select an Excel file using Browse button, you will get a dialog prompt as

Here, when you select "View As Excel Worksheet", contents will be shown similar to that of Excel Worksheet. Where as, when you select "View as ODBC Database", it will treated as a database. In this case customized SQL queries will work on your sheet.

Table/Field Selection

NWIND.mdb has tables namely: Employees, Orders and Orders. Select tables say Employees. You can select multiple tables by check marking it while selecting table names. Now screen will look like as follows:

By default, Each and every field is selected. You can select/unselect them from Selected Fields list. As you perform these operations, query window below Table List changes automatically.

Apply Filters

If you want to get filtered records, Click on Filters button. You will see following screen.

Apply your filters to different available fields. Use appropriate operators and filter values. Remember, filter values must be proper as per data type of selected fields. Press Help, ? for more information on filters.

Apply Sort Orders

If you want to get sorted records, Click on Sort Order button. You will see following screen.

Apply sort orders to different available fields. You can order fields in ascending or descending order.

Content Preview

Now Press Preview button to access the records based on query available in query window. You will see something as follows:

You can purify this output at the extent you want by specifying select query in query window.

PDB Generation & Transfer

 Now In Save or Install Database section, Specify Database Name field. This will be used as name of pdb file to be generated.

DBViewer provides two way to transfer these contents on palm device:

  • Automatic Transfer : Select Palm User Name from available list and click on Install button. On next Hotsync operation, selected database contents will get transferred on palm device for selected user in terms of a pdb file.
  • Manual Transfer :Click Save As button if you want to generate the pdb file and install on device manually. This will generate PDB file in the directory specified. You can follow the same process for the other tables as well. This PDB is Palm Compatible image of your database table. Just install this .pdb file on Palm and you are on your way for exploration.


Now we will see, How to view the generated .pdb with DBViewer on Palm?

Open Palm Application

Tap DBViewer icon [image] on your palm to launch it. You will see something as follows:

Tap on Employees table to select it. Tap on Design icon to know more about selected table. It displays name of table, total number of fields and records in it. But for now, Tap on Open icon

View Database Contents

Tapping on Open icon displays selected table contents. Table contents can be viewed in two mode: (1) All at once (2) Record at a Time

Fig. All at Once

Fig. Record at a time

Now we will see, How to Export database record to MemoPad application?

Export to Memo Pad

Select record you want to export to MemoPad and tap on To MemoPad... option from Record menu.

Fig. Exporting Record to MemoPad

Now its time to customize various options.

Customization

Date/Time Display
You can customize the way date and time fields are shown. Select Date Display... or Time Display... option form Options menu to set date or time display format respectively.

Fig. Customizing various options

Decimal Display
You can set the number of decimal places to be displayed in record view from "Decimal Display.." customization. From options menu select "Decimal Display.." and set the number of decimal places to display for each decimal number in record view.

Search Contents

To search a particular string within a single table, you can use "Find" and "Find Again" icons available in "All at Once" and "Single Record" view.

Here while searching you need to enter a search string. You can search within all fields of a table of within a selected single field. Search can be case sensitive. "Field Begins with..." option searches specified string at the start of each field. You can search for numeric, string, date, time or any other type of field depending on it's display format in record view.


Supported Data Types

Currently Database Viewer supports following data types.
  1. Memo, Char, VarChar2
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. HyperLink
  8. Currency

Buy Now

Product URL

http://www.cellica.com/dbviewer.htm

http://www.handango.com/PlatformProductDetail.jsp?productId=64649

http://www.palmgear.com/software/showsoftware.cfm?prodID=48562

Contacting Cellica

You can refer to the following mail addresses to contact us:
  • Product support
    support@cellica.com
  • General inquiries
    info@cellica.com
  • Sales inquiries
    sales@cellica.com
  • Comments
    webmaster@cellica.com
  • Consulting
    consulting@cellica.com
  • Softwares
    customsoftware@cellica.com